> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modifying products in the products catalog

> Delete products and update their availability in your Kameleoon product catalog using the Remove Products and Update Products API endpoints.

This guide explains how to **delete products** and **update their availability** in your Kameleoon product catalog. For all other product updates refer to the **[Importing a product catalog tutorial](./import-a-product-catalog-into-kameleoon-using-the-product-recommendation-api)**.

The following endpoints are used:

* **[Remove Products](../all-endpoints/Import/remove-products)**
* **[Update available Products](../all-endpoints/Import/update-products)**

## Goal

Remove products or mark them as in-stock in the Kameleoon product catalog.

## Call the appropriate API endpoints

### a. Update available products

Use this endpoint to indicate which products are currently **in stock**.

<Warning>
  Any product not listed will be marked as out of stock.
</Warning>

**Endpoint:**

```sqlite3 theme={null}
PATCH https://api.products.kameleoon.com/import/products
```

| Name          | Type   | Required | Description                     |
| ------------- | ------ | -------- | ------------------------------- |
| `shop_id`     | string | True     | Your Kameleoon store ID         |
| `shop_secret` | string | True     | Your Kameleoon secret ID        |
| `items`       | List   | True     | A list of product IDs in stock. |

This is a **full replacement**: only include product IDs that are available. Any product not listed will be considered **out of stock**.

**Example:**

```bash theme={null}
curl -X PATCH -L 'https://api.products.kameleoon.com/import/products' \
             -H 'Content-Type: application/json' \
             -d '{
    "shop_id": "eehj3eu84299kg5ghw5a6743r8",
    "shop_secret": "pmd5362597thrgq8k256ep01t0",
    "items": ["1235", "4337", "7578"]
}'
```

### b. Remove products

Delete products from Kameleoon to prevent them from appearing in recommendation results.

**Endpoint:**

```
DELETE https://api.products.kameleoon.com/import/products
```

| Name          | Type   | Required | Description              |
| ------------- | ------ | -------- | ------------------------ |
| `shop_id`     | string | True     | Your Kameleoon store ID  |
| `shop_secret` | string | True     | Your Kameleoon secret ID |
| `items`       | List   | True     | A list of product IDs    |

<Note>
  Only send the IDs of the products you want to delete.
</Note>

```bash theme={null}
curl -X DELETE -L 'https://api.products.kameleoon.com/import/products' \
             -H 'Content-Type: application/json' \
             -d '{
"shop_id": "eehj3eu84299kg5ghw5a6743r8",
"shop_secret": "pmd5362597thrgq8k256ep01t0",
"items": ["1635", "3743", "7578", "432"]
}'
```
